Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 622409 - klipper badness
klipper badness
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.5
  Show dependency treegraph
 
Reported: 2010-08-09 05:32 EDT by Martin Naď
Modified: 2010-08-31 12:24 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 10:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 247348 None None None Never

  None (edit)
Description Martin Naď 2010-08-09 05:32:01 EDT
Description of problem:
when I browsing on web or open save dialog (from opera,firefox,chrome) KDE show some item menu(or view menu) but without some user action

Version-Release number of selected component (if applicable):
 (KDE radhat testing)
kdebase-4.5.0-1.fc13.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1.open save dialog
2.KDE show some view menu (sometimes)
3.
  
Actual results:
KDE show view menu without user actions

Expected results:
KDE show view menu only when is called with some user-actions

Additional info:
Comment 1 Martin Naď 2010-08-09 11:46:40 EDT
and some view menu (right-click on klipper) KDE don`t hide this menu I must kill klipper.
Comment 2 Radek Novacek 2010-08-10 09:35:43 EDT
I'm not sure what are you talking about. Can you be more specific? And maybe use one particular example what is wrong and what suppose to happen? Thank you
Comment 3 Stefan Becker 2010-08-25 12:28:22 EDT
I'm not sure if this is related. I just noticed some strange klipper behaviour with KDE 4.5 on F14 Alpha:

  - LEFT click on klipper applet icon in systray
    -> klipper menu opens

  - select one of the clipboard entries
    -> menu *does not* close
    -> selected entry *does not* get the "tick mark" icon

  - paste into another  window
    -> selected entry gets pasted

  - LEFT click on klipper applet icon in systray (2nd time)
    -> klipper menu closes

  - LEFT click on klipper applet icon in systray (3rd time)
    -> klipper menu opens
    -> previously selected entry is now on top of the list and has the "tick mark"

   - RIGHT click on klipper applect icon in systray and select entry
     -> everything works as expected

So selecting the clipboard entry does work correctly, but the menu (window) behaves strange if you open it with LEFT click...

kdebase-workspace-4.5.0-2.fc14.i686

Linux localhost.localdomain 2.6.35.2-9.fc14.i686 #1 SMP Tue Aug 17 22:54:19 UTC 2010 i686 i686 i386 GNU/Linux
Comment 4 Rex Dieter 2010-08-26 16:25:04 EDT
My klipper doesn't hang, but I can confirm the oddness mentioned in comment #3 on my f13/kde-4.5.0 box.
Comment 5 Rex Dieter 2010-08-31 10:10:57 EDT
seems fixed on kde-4.5.1 , upstream bug commented similarly.

Let's stick a fork in it.
Comment 6 Stefan Becker 2010-08-31 12:24:13 EDT
Yep, after updating to F14 KDE 4.5.1 the problems are gone. THANKS.

Note You need to log in before you can comment on or make changes to this bug.